aboutsummaryrefslogtreecommitdiff
path: root/plenv/shrc.d/plenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'plenv/shrc.d/plenv.sh')
-rw-r--r--plenv/shrc.d/plenv.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/plenv/shrc.d/plenv.sh b/plenv/shrc.d/plenv.sh
new file mode 100644
index 00000000..6e03618e
--- /dev/null
+++ b/plenv/shrc.d/plenv.sh
@@ -0,0 +1,17 @@
+# POSIX-compatible version of the plenv Bash shell wrapper
+[ -d "$HOME"/.plenv ] || return
+plenv() {
+ case $1 in
+ rehash)
+ shift
+ eval "$(plenv sh-rehash "$@")"
+ ;;
+ shell)
+ shift
+ eval "$(plenv sh-shell "$@")"
+ ;;
+ *)
+ command plenv "$@"
+ ;;
+ esac
+}